#
# spec file for package ghc-unliftio
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name unliftio
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.12.1
Release:        lp152.1.1
Summary:        The MonadUnliftIO typeclass for unlifting monads to IO (batteries included)
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unliftio-core-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Please see the documentation and README at
<https://www.stackage.org/package/unliftio>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Tue Mar 24 2020 psimons@suse.com
- Update unliftio to version 0.2.12.1.
  [#]# 0.2.12.1
  * Minor doc improvements
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Sat Jul 13 2019 psimons@suse.com
- Update unliftio to version 0.2.12.
  [#]# 0.2.12
  * Dropped support for ghc-7.8
  * Addition of `UnliftIO.IO.File` module and atomic+durable file writes:
  * `writeBinaryFile`
  * `writeBinaryFileAtomic`
  * `writeBinaryFileDurable`
  * `writeBinaryFileDurableAtomic`
  * `withBinaryFileAtomic`
  * `withBinaryFileDurable`
  * `withBinaryFileDurableAtomic`
  * `ensureFileDurable`
* Sat Jun  8 2019 psimons@suse.com
- Update unliftio to version 0.2.11.
  [#]# 0.2.11
  * Deprecate `forkWithUnmask` in favor of the newly added `forkIOWithUnmask` to
    improve consistency. [https://github.com/fpco/unliftio/issues/44]
* Mon Dec 31 2018 psimons@suse.com
- Update unliftio to version 0.2.10.
  [#]# 0.2.10
  * Add pooling related functions for unliftio
* Wed Dec 12 2018 psimons@suse.com
- Update unliftio to version 0.2.9.0.
  [#]# 0.2.9.0
  * Add the new `Conc` datatype as a more efficient alternative to `Concurrently`
* Thu Oct  4 2018 psimons@suse.com
- Update unliftio to version 0.2.8.1.
  [#]# 0.2.8.1
  * Support for `stm-2.5.0.0`
  [#]# 0.2.8.0
  * Add 'UnliftIO.Memoize'
* Thu Aug 30 2018 psimons@suse.com
- Update unliftio to version 0.2.7.1.
  [#] Changelog for unliftio
  [#]# 0.2.7.1
  * Minor doc improvements
* Mon May 14 2018 psimons@suse.com
- Add unliftio at version 0.2.7.0.
